﻿using System;
using System.Collections.Generic;

namespace TravelAgency.Models;

public partial class Hotel
{
    public int Id { get; set; }

    public string Name { get; set; } = null!;

    public int CountOfStars { get; set; }

    public string CountryCode { get; set; } = null!;

    public string? Description { get; set; }

    public virtual Country CountryCodeNavigation { get; set; } = null!;

    public virtual ICollection<HotelComment> HotelComments { get; set; } = new List<HotelComment>();

    public virtual ICollection<HotelImage> HotelImages { get; set; } = new List<HotelImage>();

    public virtual ICollection<HotelOfTour> HotelOfTours { get; set; } = new List<HotelOfTour>();
}
