﻿using System;
using System.Collections;
using System.Collections.Generic;

namespace TravelAgency.Models;

public partial class Tour
{
    public int Id { get; set; }

    public int TicketCount { get; set; }

    public string Name { get; set; } = null!;

    public string? Desription { get; set; }

    public byte[]? ImagePreview { get; set; }

    public decimal Price { get; set; }

    public BitArray IsActual { get; set; } = null!;

    public string DescriptionWithoutNull => (Desription == null) ? string.Empty : Desription;

    public virtual ICollection<HotelOfTour> HotelOfTours { get; set; } = new List<HotelOfTour>();

    public virtual ICollection<TypeOfTour> TypeOfTours { get; set; } = new List<TypeOfTour>();
}
