﻿using Avalonia.Controls;
using ReactiveUI;
using System;
using TravelAgency.Models;
using TravelAgency.Views;

namespace TravelAgency.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        public static UpAstashinContext connect = new UpAstashinContext();

        UserControl us = new Views.ListTour();

        public UserControl US
        {
            get => us;
            set => this.RaiseAndSetIfChanged(ref us, value);
        }

        ListTourViewModel _tourVM = new ListTourViewModel();

        public ListTourViewModel TourVM
        {
            get => _tourVM;
            set => _tourVM = value;
        }

        ListHotelViewModel hotelVM = new ListHotelViewModel();

        public ListHotelViewModel HotelVM
        {
            get => hotelVM;
            set => hotelVM = value;
        }

        AddRedactViewModel _addredactVM = new AddRedactViewModel();
        public AddRedactViewModel AddRedactVM
        {
            get => _addredactVM;
            set => _addredactVM = value;
        }

        public void ChangePageToHotels()
        {
            US = new ListHotel();
        }
        public void ChangePageToTours()
        {
            US = new ListTour();
        }

        public void ToAddRed(int id)
        {
            AddRedactVM = new AddRedactViewModel(id);
            US = new AddRedact();
        }

        public void ToAddRedNo()
        {
            US = new AddRedact();
        }
    }
}